Package twisted :: Package python :: Module formmethod :: Class Argument

[show private | hide private]
[frames | no frames]

## Class Argument

Known Subclasses:
  `Choice`, `Integer`, `String`, `Boolean`, `Float`, `Flags`, `Date`

Base class for form arguments.

Method Summary
| `__init__(self, name, default, shortDesc, longDesc, hints)`
| `addHints(self, **kwargs)`
| ``coerce`(self, val)` Convert the value to the correct format.
| `getHint(self, name, default)`
| `getLongDescription(self)`
| `getShortDescription(self)`

Class Variable Summary
`NoneType` | `defaultDefault`

Method Details

### coerce(self, val)

Convert the value to the correct format.

Class Variable Details

### defaultDefault

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 1.1 on Thu May 8 13:18:56 2003 | http://epydoc.sf.net